# Interface methods for submodule: ShiftScaleLabelMapFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import InPlaceLabelMapFilterProxy as _InPlaceLabelMapFilterProxy


# Interface methods for class: ShiftScaleLabelMapFilter
class ShiftScaleLabelMapFilterProxy(_InPlaceLabelMapFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetShift(self, _arg: float) -> None:
		""""""
		...

	def GetShift(self) -> float:
		""""""
		...

	def SetScale(self, _arg: float) -> None:
		""""""
		...

	def GetScale(self) -> float:
		""""""
		...

	def SetChangeBackgroundValue(self, _arg: bool) -> None:
		""""""
		...

	def GetChangeBackgroundValue(self) -> bool:
		""""""
		...

	def ChangeBackgroundValueOn(self) -> None:
		""""""
		...

	def ChangeBackgroundValueOff(self) -> None:
		""""""
		...

